| Linux NFC User Mode Stack

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
ndef_info_t Struct Reference

NFC NDEF Message information structure definition. More...

`#include <linux_nfc_api.h>`

## Public Attributes
int | is_ndef
| The flags to indicate if it contains ndef record. More...
unsigned int | current_ndef_length
| Existing Ndef message length. More...
unsigned int | max_ndef_length
| Max Ndef message length can be written. More...
int | is_writable
| The flags to indicate if writing a Ndef message is supprted. More...

## Detailed Description

NFC NDEF Message information structure definition.

Definition at line 191 of file linux_nfc_api.h.

## Member Data Documentation

unsigned int ndef_info_t::current_ndef_length

Existing Ndef message length.

Definition at line 201 of file linux_nfc_api.h.

int ndef_info_t::is_ndef

The flags to indicate if it contains ndef record.

Definition at line 196 of file linux_nfc_api.h.

int ndef_info_t::is_writable

The flags to indicate if writing a Ndef message is supprted.

Definition at line 211 of file linux_nfc_api.h.

unsigned int ndef_info_t::max_ndef_length

Max Ndef message length can be written.

Definition at line 206 of file linux_nfc_api.h.

The documentation for this struct was generated from the following file:

- C:/Users/nxp99386/Documents/Nest/libnfc-nci-linux/libnfc-nci-linux/src/include/linux_nfc_api.h